:root {
    --input-range-height: 23px;
    --input-range-margin: 0;
    --input-range-animate: 0.2s;

    --track-color: #B6B6B6;
    --thumb-color: #DADADA;

    --thumb-height: 15px;
    --thumb-width: 30px;
    --thumb-radius: 6px;
    --thumb-shadow-size: 1px;
    --thumb-shadow-blur: 1px;
    --thumb-shadow-color: #828282;
    --thumb-border-width: 1px;
    --thumb-border-color: #8A8A8A;

    --track-width: 100%;
    --track-height: 8px;
    --track-radius: 24px;
    --track-shadow-size: 0px;
    --track-shadow-blur: 0px;
    --track-shadow-color: #000;
    --track-border-width: 1px;
    --track-border-color: #8A8A8A;
}

body {
    font-family: monospace;
    font-size: 14px;
	width: 300px;
    color: #222;
    background-color: #FFF;
}

.wrapper__volume {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.wrapper__volume .volume__min,
.wrapper__volume .volume__max {
    color: #4A5568;
}

.wrapper__volume .volume__value {
    font-weight: bold;
}

.input_range {
    height: var(--input-range-height);
    -webkit-appearance: none;
    margin: var(--input-range-margin);
    width: var(--track-width);
    background: transparent;
}

.input_range:focus {
    outline: none;
}

.input_range::-webkit-slider-runnable-track {
    width: var(--track-width);
    height: var(--track-height);
    cursor: pointer;
    animate: var(--input-range-animate);
    box-shadow: var(--track-shadow-size) var(--track-shadow-size) var(--track-shadow-blur) var(--track-shadow-color);
    background: var(--track-color);
    border-radius: var(--track-radius);
    border: var(--track-border-width) solid var(--track-border-color);
}

.input_range::-webkit-slider-thumb {
    box-shadow: var(--thumb-shadow-size) var(--thumb-shadow-size) var(--thumb-shadow-blur) var(--thumb-shadow-color);
    border: var(--thumb-border-width) solid var(--thumb-border-color);
    height: var(--thumb-height);
    width: var(--thumb-width);
    border-radius: var(--thumb-radius);
    background: var(--thumb-color);
    cursor: pointer;
    -webkit-appearance: none;
    /* margin-top: calc(-((var(--track-height) / 2) + (var(--track-border-width) / 2))); */
    margin-top: -4.5px;
}

.input_range:focus::-webkit-slider-runnable-track {
    background: var(--track-color);
}

.input_range::-moz-range-track {
    width: var(--track-width);
    height:var(--track-height);
    cursor: pointer;
    animate: var(--input-range-animate);
    box-shadow: var(--track-shadow-size) var(--track-shadow-size) var(--track-shadow-blur) var(--track-shadow-color);
    background: var(--track-color);
    border-radius: var(--track-radius);
    border: var(--track-border-width) solid var(--track-border-color);
}

.input_range::-moz-range-thumb {
    box-shadow: var(--thumb-shadow-size) var(--thumb-shadow-size) var(--thumb-shadow-blur) var(--thumb-shadow-color);
    border: var(--thumb-border-width) solid var(--thumb-border-color);
    height: var(--thumb-height);
    width: var(--thumb-width);
    border-radius: var(--thumb-radius);
    background: var(--thumb-color);
    cursor: pointer;
}

.input_range::-ms-track {
    width: var(--track-width);
    height:var(--track-height);
    cursor: pointer;
    animate: var(--input-range-animate);
    background: transparent;
    border-color: transparent;
    color: transparent;
}

.input_range::-ms-fill-lower {
    background: var(--track-color);
    border: var(--track-border-width) solid var(--track-border-color);
    border-radius: calc(var(--track-radius) * 2);
    box-shadow: var(--track-shadow-size) var(--track-shadow-size) var(--track-shadow-blur) var(--track-shadow-color);
}

.input_range::-ms-fill-upper {
    background: var(--track-color);
    border: var(--track-border-width) solid var(--track-border-color);
    border-radius: calc(var(--track-radius) * 2);
    box-shadow: var(--track-shadow-size) var(--track-shadow-size) var(--track-shadow-blur) var(--track-shadow-color);
}

.input_range::-ms-thumb {
    margin-top: 1px;
    box-shadow: var(--thumb-shadow-size) var(--thumb-shadow-size) var(--thumb-shadow-blur) var(--thumb-shadow-color);
    border: var(--thumb-border-width) solid var(--thumb-border-color);
    height: var(--thumb-height);
    width: var(--thumb-width);
    border-radius: var(--thumb-radius);
    background: var(--thumb-color);
    cursor: pointer;
}

.input_range:focus::-ms-fill-lower {
    background: var(--track-color);
}

.input_range:focus::-ms-fill-upper {
    background: var(--track-color);
}